> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.inputsystemavailability/yarn.unity.inputsystemavailability.getkeydown.md).

# GetKeyDown(KeyCode)

Method in [InputSystemAvailability](/api/csharp/yarn.unity/yarn.unity.inputsystemavailability.md)

## Summary

Gets a value indicating whether the key indicated by a `UnityEngine.KeyCode` was pressed this frame.

```csharp
public static bool GetKeyDown(KeyCode key)
```

## Remarks

If the Legacy Input Manager is enabled, this method wraps `UnityEngine.Input.GetKeyDown(UnityEngine.KeyCode)` . Otherwise, it attempts to find the `UnityEngine.InputSystem.Key` equivalent of `key` , and then checks with `UnityEngine.InputSystem.Keyboard.current` to find the key, and queries its `UnityEngine.InputSystem.Controls.ButtonControl.wasPressedThisFrame` property.

## Parameters

| Name          | Description                                          |
| ------------- | ---------------------------------------------------- |
| `KeyCode` key | The `UnityEngine.KeyCode` to check for the state of. |

## Returns

Whether the key was pressed this frame.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.inputsystemavailability/yarn.unity.inputsystemavailability.getkeydown.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
